Page MenuHomePhabricator

Tooltip text on the "Edit" and "Edit Source" tabs should be more helpful to new users
Closed, ResolvedPublic1 Estimated Story Points

Description

Current tooltip text

  • Edit source: "You can edit this page. Please use the preview button before saving"
  • Edit: "Edit this page with VisualEditor"

This isn't very helpful to new users. It doesn't meaningfully explain the difference between "edit" and "edit source", and it gives advice ("use the preview button") which is better presented to the user later, when it will be immediately useful.

There's a lot of room to work on the language, but here's one suggestion:

  • Edit: "Improve this page using an easy visual interface."
  • Edit source: "Improve this page by editing the source code. Mainly for experienced editors."

Event Timeline

nshahquinn-wmf raised the priority of this task from to Medium.
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf added a subscriber: nshahquinn-wmf.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 7:17 PM
ggellerman set Security to None.May 15 2015, 9:49 PM
ggellerman added a subscriber: Heather.
ggellerman added subscribers: aripstra, Nirzar.
ggellerman added a subscriber: ggellerman.

+ @Heather for awareness for voice and tone considerations

+Abbey and Nirzar for awareness

Change 221732 had a related patch set uploaded (by Jforrester):
tooltip-ca-edit: Simplify wording to align with others

https://gerrit.wikimedia.org/r/221732

Change 221752 had a related patch set uploaded (by Jforrester):
Make texts of edit tabs' tooltips more helpful to new users

https://gerrit.wikimedia.org/r/221752

Change 221752 merged by jenkins-bot:
Make texts of edit tabs' tooltips more helpful to new users

https://gerrit.wikimedia.org/r/221752

Jdforrester-WMF closed this task as Resolved.Jun 30 2015, 6:47 PM
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 222071 had a related patch set uploaded (by Siebrand):
Prefix VEs key tooltip-ca-edit

https://gerrit.wikimedia.org/r/222071

Change 222071 merged by jenkins-bot:
Prefix VEs key tooltip-ca-edit

https://gerrit.wikimedia.org/r/222071

Elitre added a subscriber: Elitre.Jul 3 2015, 8:56 AM
nshahquinn-wmf reopened this task as Open.Jul 28 2015, 11:56 PM

Both tooltips currently display as "edit this page" on all the wikis I've checked, including the beta cluster and the test wiki. @Jdforrester-WMF, any idea what's going on?

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:07 AM